import { world, ItemStack, system } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('biomes:glass_jar_convert', {
        onUseOn(event) {
            const itemSlot = event.source.getComponent('equippable');
            itemSlot.setEquipment('Mainhand', new ItemStack('biomes:glass_jar', 1));
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('biomes:empty_bucket_convert', {
        onUseOn(event) {
            const itemSlot = event.source.getComponent('equippable');
            itemSlot.setEquipment('Mainhand', new ItemStack('minecraft:bucket', 1));
        }
    });
});