import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('ybiomes_foods:maple_syrup', {
        onConsume: e => {
            e.source.addEffect("minecraft:speed", 150, { amplifier: 2 });
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('ybiomes_foods:lavender_essence', {
        onConsume: e => {
            e.source.addEffect("minecraft:regeneration", 150, { amplifier: 1 });
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('ybiomes_foods:grove_pie', {
        onConsume: e => {
            e.source.addEffect("minecraft:regeneration", 1200, { amplifier: 0 });
            e.source.addEffect("minecraft:speed", 1200, { amplifier: 1 });
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('ybiomes_foods:raw_catfish', {
        onConsume: e => {
            e.source.addEffect("minecraft:poison", 300, { amplifier: 1 });
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('ybiomes_foods:marshmallow_blackberry', {
        onConsume: e => {
            e.source.addEffect("minecraft:night_vision", 600, { amplifier: 0 });
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('ybiomes_foods:marshmallow_blueberry', {
        onConsume: e => {
            e.source.addEffect("minecraft:invisibility", 600, { amplifier: 0 });
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('ybiomes_foods:marshmallow_raspberry', {
        onConsume: e => {
            e.source.addEffect("minecraft:strength", 600, { amplifier: 1 });
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('ybiomes_foods:marshmallow_sweet_berry', {
        onConsume: e => {
            e.source.addEffect("minecraft:absorption", 600, { amplifier: 1 });
        }
    });
});